import request from '../api/request'
import wx from 'weixin-js-sdk'

const wxJs = () => request({
  method: 'GET',
  url: '/api/wechat/account/config',
  params: {
    url: location.href,
    officialAccountCode: 'tingbang' //  写死
  }
})

export const WxConfig = async () => {
  const { appId, timestamp, nonceStr, signature } = await wxJs()
  let wxParam = {
    debug: false,
    appId: appId,
    timestamp: timestamp,
    nonceStr: nonceStr,
    signature: signature,
    jsApiList: [
      'checkJsApi',
      'openLocation',
      'getLocation',
      'updateAppMessageShareData',
      'updateTimelineShareData',
      'onMenuShareAppMessage',
      'onMenuShareTimeline',
      'hideMenuItems',
      'scanQRCode']
  }
  wx.config(wxParam)
  return wx
}
